Index: issm/trunk/src/c/EnumDefinitions/EnumDefinitions.h
===================================================================
--- issm/trunk/src/c/EnumDefinitions/EnumDefinitions.h	(revision 9403)
+++ issm/trunk/src/c/EnumDefinitions/EnumDefinitions.h	(revision 9405)
@@ -553,4 +553,5 @@
 	SpcDynamicEnum,
 	NumberOfEdgesEnum,
+	ResultsOnVerticesEnum,
 	MaximumNumberOfEnums
 };
Index: issm/trunk/src/c/modules/EnumToStringx/EnumToStringx.cpp
===================================================================
--- issm/trunk/src/c/modules/EnumToStringx/EnumToStringx.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/EnumToStringx/EnumToStringx.cpp	(revision 9405)
@@ -495,4 +495,5 @@
 		case SpcDynamicEnum : return "SpcDynamic";
 		case NumberOfEdgesEnum : return "NumberOfEdges";
+		case ResultsOnVerticesEnum : return "ResultsOnVertices";
 		default : return "unknown";
 
Index: issm/trunk/src/c/modules/IoModelToConstraintsx/IoModelToConstraintsx.cpp
===================================================================
--- issm/trunk/src/c/modules/IoModelToConstraintsx/IoModelToConstraintsx.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/IoModelToConstraintsx/IoModelToConstraintsx.cpp	(revision 9405)
@@ -33,5 +33,5 @@
 
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&numberofvertices,NumberOfVerticesEnum);
+	iomodel->Constant(&numberofvertices,NumberOfVerticesEnum);
 
 	/*First of, find the record for the enum, and get code  of data type: */
Index: issm/trunk/src/c/modules/ModelProcessorx/Balancethickness/CreateConstraintsBalancethickness.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/Balancethickness/CreateConstraintsBalancethickness.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/Balancethickness/CreateConstraintsBalancethickness.cpp	(revision 9405)
@@ -13,5 +13,5 @@
 	
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&prognostic_DG,PrognosticDGEnum);
+	iomodel->Constant(&prognostic_DG,PrognosticDGEnum);
 
 	/*Output*/
Index: issm/trunk/src/c/modules/ModelProcessorx/Balancethickness/CreateLoadsBalancethickness.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/Balancethickness/CreateLoadsBalancethickness.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/Balancethickness/CreateLoadsBalancethickness.cpp	(revision 9405)
@@ -20,6 +20,6 @@
 
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&prognostic_DG,PrognosticDGEnum);
-	iomodel->constants->FindParam(&numberofedges,NumberOfEdgesEnum);
+	iomodel->Constant(&prognostic_DG,PrognosticDGEnum);
+	iomodel->Constant(&numberofedges,NumberOfEdgesEnum);
 
 	/*Output*/
@@ -42,5 +42,5 @@
 
 			/*Get left and right elements*/
-			element=(int)iomodel->f(EdgesEnum)[4*i+2]-1; //edges are [node1 node2 elem1 elem2]
+			element=(int)iomodel->Data(EdgesEnum)[4*i+2]-1; //edges are [node1 node2 elem1 elem2]
 
 			/*Now, if this element is not in the partition, pass: */
Index: issm/trunk/src/c/modules/ModelProcessorx/Balancethickness/CreateNodesBalancethickness.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/Balancethickness/CreateNodesBalancethickness.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/Balancethickness/CreateNodesBalancethickness.cpp	(revision 9405)
@@ -30,8 +30,8 @@
 
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&dim,DimEnum);
-	iomodel->constants->FindParam(&numberofelements,NumberOfElementsEnum);
-	iomodel->constants->FindParam(&numberofvertices,NumberOfVerticesEnum);
-	iomodel->constants->FindParam(&prognostic_DG,PrognosticDGEnum);
+	iomodel->Constant(&dim,DimEnum);
+	iomodel->Constant(&numberofelements,NumberOfElementsEnum);
+	iomodel->Constant(&numberofvertices,NumberOfVerticesEnum);
+	iomodel->Constant(&prognostic_DG,PrognosticDGEnum);
 
 	/*Recover pointer: */
@@ -72,5 +72,5 @@
 
 					//Get index of the vertex on which the current node is located
-					vertex_id=(int)*(iomodel->f(ElementsEnum)+3*i+j); //(Matlab indexing)
+					vertex_id=(int)*(iomodel->Data(ElementsEnum)+3*i+j); //(Matlab indexing)
 					io_index=vertex_id-1;                      //(C indexing)
 					_assert_(vertex_id>0 && vertex_id<=numberofvertices);
Index: issm/trunk/src/c/modules/ModelProcessorx/Balancethickness/UpdateElementsBalancethickness.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/Balancethickness/UpdateElementsBalancethickness.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/Balancethickness/UpdateElementsBalancethickness.cpp	(revision 9405)
@@ -20,6 +20,6 @@
 
 	/*Fetch data needed: */
-	iomodel->constants->FindParam(&dim,DimEnum);
-	iomodel->constants->FindParam(&numberofelements,NumberOfElementsEnum);
+	iomodel->Constant(&dim,DimEnum);
+	iomodel->Constant(&numberofelements,NumberOfElementsEnum);
 	iomodel->FetchData(1,ElementsEnum);
 
Index: issm/trunk/src/c/modules/ModelProcessorx/BedSlope/CreateNodesBedSlope.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/BedSlope/CreateNodesBedSlope.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/BedSlope/CreateNodesBedSlope.cpp	(revision 9405)
@@ -24,5 +24,5 @@
 
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&numberofvertices,NumberOfVerticesEnum);
+	iomodel->Constant(&numberofvertices,NumberOfVerticesEnum);
 
 	/*Recover pointer: */
Index: issm/trunk/src/c/modules/ModelProcessorx/BedSlope/UpdateElementsBedSlope.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/BedSlope/UpdateElementsBedSlope.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/BedSlope/UpdateElementsBedSlope.cpp	(revision 9405)
@@ -20,6 +20,6 @@
 
 	/*Fetch data needed: */
-	iomodel->constants->FindParam(&dim,DimEnum);
-	iomodel->constants->FindParam(&numberofelements,NumberOfElementsEnum);
+	iomodel->Constant(&dim,DimEnum);
+	iomodel->Constant(&numberofelements,NumberOfElementsEnum);
 	iomodel->FetchData(1,ElementsEnum);
 
Index: issm/trunk/src/c/modules/ModelProcessorx/Control/UpdateElementsAndMaterialsControl.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/Control/UpdateElementsAndMaterialsControl.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/Control/UpdateElementsAndMaterialsControl.cpp	(revision 9405)
@@ -27,7 +27,7 @@
 	
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&numberofelements,NumberOfElementsEnum);
-	iomodel->constants->FindParam(&control_analysis,ControlAnalysisEnum);
-	iomodel->constants->FindParam(&num_control_type,NumControlTypeEnum);
+	iomodel->Constant(&numberofelements,NumberOfElementsEnum);
+	iomodel->Constant(&control_analysis,ControlAnalysisEnum);
+	iomodel->Constant(&num_control_type,NumControlTypeEnum);
 
 	/*Now, return if no control*/
@@ -42,5 +42,5 @@
 	iomodel->FetchData(4,ControlTypeEnum,WeightsEnum,CmMinEnum,CmMaxEnum);
 	for(i=0;i<num_control_type;i++){
-		switch((int)iomodel->f(ControlTypeEnum)[i]){
+		switch((int)iomodel->Data(ControlTypeEnum)[i]){
 			case DhdtEnum: iomodel->FetchData(1,DhdtEnum); break;
 			case VxEnum:   iomodel->FetchData(1,VxEnum); break;
@@ -48,5 +48,5 @@
 			case DragCoefficientEnum: iomodel->FetchData(1,DragCoefficientEnum); break;
 			case RheologyBbarEnum:    iomodel->FetchData(1,RheologyBEnum); break;
-			default: _error_("Control %s not implemented yet",EnumToStringx((int)iomodel->f(ControlTypeEnum)[i]));
+			default: _error_("Control %s not implemented yet",EnumToStringx((int)iomodel->Data(ControlTypeEnum)[i]));
 		}
 	}
Index: issm/trunk/src/c/modules/ModelProcessorx/CreateElementsVerticesAndMaterials.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/CreateElementsVerticesAndMaterials.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/CreateElementsVerticesAndMaterials.cpp	(revision 9405)
@@ -28,8 +28,8 @@
 
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&dim,DimEnum);
-	iomodel->constants->FindParam(&numberofelements,NumberOfElementsEnum);
-	iomodel->constants->FindParam(&numberofvertices,NumberOfVerticesEnum);
-	iomodel->constants->FindParam(&control_analysis,ControlAnalysisEnum);
+	iomodel->Constant(&dim,DimEnum);
+	iomodel->Constant(&numberofelements,NumberOfElementsEnum);
+	iomodel->Constant(&numberofvertices,NumberOfVerticesEnum);
+	iomodel->Constant(&control_analysis,ControlAnalysisEnum);
 
 	/*Did we already create the elements? : */
Index: issm/trunk/src/c/modules/ModelProcessorx/CreateNumberNodeToElementConnectivity.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/CreateNumberNodeToElementConnectivity.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/CreateNumberNodeToElementConnectivity.cpp	(revision 9405)
@@ -29,8 +29,8 @@
 
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&dim,DimEnum);
-	iomodel->constants->FindParam(&numberofelements,NumberOfElementsEnum);
-	iomodel->constants->FindParam(&numberofvertices,NumberOfVerticesEnum);
-	elements=iomodel->f(ElementsEnum);
+	iomodel->Constant(&dim,DimEnum);
+	iomodel->Constant(&numberofelements,NumberOfElementsEnum);
+	iomodel->Constant(&numberofvertices,NumberOfVerticesEnum);
+	elements=iomodel->Data(ElementsEnum);
 
 	/*Some checks if debugging*/
Index: issm/trunk/src/c/modules/ModelProcessorx/CreateParameters.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/CreateParameters.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/CreateParameters.cpp	(revision 9405)
@@ -22,5 +22,5 @@
 		
 	/*Initialize dataset: */
-	parameters = (Parameters*)iomodel->constants->Copy();
+	parameters = iomodel->CopyConstants();
 
 	/*some parameters that did not come with the iomodel: */
Index: issm/trunk/src/c/modules/ModelProcessorx/CreateSingleNodeToElementConnectivity.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/CreateSingleNodeToElementConnectivity.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/CreateSingleNodeToElementConnectivity.cpp	(revision 9405)
@@ -32,8 +32,8 @@
 
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&dim,DimEnum);
-	iomodel->constants->FindParam(&numberofelements,NumberOfElementsEnum);
-	iomodel->constants->FindParam(&numberofvertices,NumberOfVerticesEnum);
-	elements=iomodel->f(ElementsEnum);
+	iomodel->Constant(&dim,DimEnum);
+	iomodel->Constant(&numberofelements,NumberOfElementsEnum);
+	iomodel->Constant(&numberofvertices,NumberOfVerticesEnum);
+	elements=iomodel->Data(ElementsEnum);
 
 	/*Some checks if debugging*/
Index: issm/trunk/src/c/modules/ModelProcessorx/DiagnosticHoriz/CreateConstraintsDiagnosticHoriz.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/DiagnosticHoriz/CreateConstraintsDiagnosticHoriz.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/DiagnosticHoriz/CreateConstraintsDiagnosticHoriz.cpp	(revision 9405)
@@ -40,12 +40,12 @@
 
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&dim,DimEnum);
-	iomodel->constants->FindParam(&yts,YtsEnum);
-	iomodel->constants->FindParam(&numberofvertices,NumberOfVerticesEnum);
-	iomodel->constants->FindParam(&g,GEnum);
-	iomodel->constants->FindParam(&rho_ice,RhoIceEnum);
-	iomodel->constants->FindParam(&stokesreconditioning,StokesreconditioningEnum);
-	iomodel->constants->FindParam(&isstokes,IsstokesEnum);
-	iomodel->constants->FindParam(&ismacayealpattyn,IsmacayealpattynEnum);
+	iomodel->Constant(&dim,DimEnum);
+	iomodel->Constant(&yts,YtsEnum);
+	iomodel->Constant(&numberofvertices,NumberOfVerticesEnum);
+	iomodel->Constant(&g,GEnum);
+	iomodel->Constant(&rho_ice,RhoIceEnum);
+	iomodel->Constant(&stokesreconditioning,StokesreconditioningEnum);
+	iomodel->Constant(&isstokes,IsstokesEnum);
+	iomodel->Constant(&ismacayealpattyn,IsmacayealpattynEnum);
 
 	/*Recover pointer: */
Index: issm/trunk/src/c/modules/ModelProcessorx/DiagnosticHoriz/CreateLoadsDiagnosticHoriz.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/DiagnosticHoriz/CreateLoadsDiagnosticHoriz.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/DiagnosticHoriz/CreateLoadsDiagnosticHoriz.cpp	(revision 9405)
@@ -42,9 +42,9 @@
 
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&dim,DimEnum);
-	iomodel->constants->FindParam(&numberofvertices,NumberOfVerticesEnum);
-	iomodel->constants->FindParam(&isstokes,IsstokesEnum);
-	iomodel->constants->FindParam(&ismacayealpattyn,IsmacayealpattynEnum);
-	iomodel->constants->FindParam(&numrifts,NumriftsEnum);
+	iomodel->Constant(&dim,DimEnum);
+	iomodel->Constant(&numberofvertices,NumberOfVerticesEnum);
+	iomodel->Constant(&isstokes,IsstokesEnum);
+	iomodel->Constant(&ismacayealpattyn,IsmacayealpattynEnum);
+	iomodel->Constant(&numrifts,NumriftsEnum);
 
 	/*Recover pointer: */
@@ -177,5 +177,5 @@
 		iomodel->FetchData(5,RiftinfoEnum,ThicknessEnum,BedEnum,SurfaceEnum,NodeOnIceShelfEnum);
 		for(i=0;i<numrifts;i++){
-			if(iomodel->my_elements[(int)(iomodel->f(RiftinfoEnum)[RIFTINFOSIZE*i+2])-1]){
+			if(iomodel->my_elements[(int)*(iomodel->Data(RiftinfoEnum)+RIFTINFOSIZE*i+2)-1]){
 				loads->AddObject(new Riftfront(iomodel->loadcounter+count+1,i,iomodel,DiagnosticHorizAnalysisEnum));
 				count++;
Index: issm/trunk/src/c/modules/ModelProcessorx/DiagnosticHoriz/CreateNodesDiagnosticHoriz.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/DiagnosticHoriz/CreateNodesDiagnosticHoriz.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/DiagnosticHoriz/CreateNodesDiagnosticHoriz.cpp	(revision 9405)
@@ -25,7 +25,7 @@
 
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&numberofvertices,NumberOfVerticesEnum);
-	iomodel->constants->FindParam(&isstokes,IsstokesEnum);
-	iomodel->constants->FindParam(&ismacayealpattyn,IsmacayealpattynEnum);
+	iomodel->Constant(&numberofvertices,NumberOfVerticesEnum);
+	iomodel->Constant(&isstokes,IsstokesEnum);
+	iomodel->Constant(&ismacayealpattyn,IsmacayealpattynEnum);
 
 	/*Recover pointer: */
Index: issm/trunk/src/c/modules/ModelProcessorx/DiagnosticHoriz/UpdateElementsDiagnosticHoriz.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/DiagnosticHoriz/UpdateElementsDiagnosticHoriz.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/DiagnosticHoriz/UpdateElementsDiagnosticHoriz.cpp	(revision 9405)
@@ -24,10 +24,10 @@
 
 	/*Fetch constants needed: */
-	iomodel->constants->FindParam(&isstokes,IsstokesEnum);
-	iomodel->constants->FindParam(&ismacayealpattyn,IsmacayealpattynEnum);
-	iomodel->constants->FindParam(&dim,DimEnum);
-	iomodel->constants->FindParam(&numberofelements,NumberOfElementsEnum);
-	iomodel->constants->FindParam(&control_analysis,ControlAnalysisEnum);
-	iomodel->constants->FindParam(&qmu_analysis,QmuAnalysisEnum);
+	iomodel->Constant(&isstokes,IsstokesEnum);
+	iomodel->Constant(&ismacayealpattyn,IsmacayealpattynEnum);
+	iomodel->Constant(&dim,DimEnum);
+	iomodel->Constant(&numberofelements,NumberOfElementsEnum);
+	iomodel->Constant(&control_analysis,ControlAnalysisEnum);
+	iomodel->Constant(&qmu_analysis,QmuAnalysisEnum);
 
 	/*Now, is the flag macayaealpattyn on? otherwise, do nothing: */
Index: issm/trunk/src/c/modules/ModelProcessorx/DiagnosticHutter/CreateConstraintsDiagnosticHutter.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/DiagnosticHutter/CreateConstraintsDiagnosticHutter.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/DiagnosticHutter/CreateConstraintsDiagnosticHutter.cpp	(revision 9405)
@@ -28,7 +28,7 @@
 
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&yts,YtsEnum);
-	iomodel->constants->FindParam(&numberofvertices,NumberOfVerticesEnum);
-	iomodel->constants->FindParam(&ishutter,IshutterEnum);
+	iomodel->Constant(&yts,YtsEnum);
+	iomodel->Constant(&numberofvertices,NumberOfVerticesEnum);
+	iomodel->Constant(&ishutter,IshutterEnum);
 
 	/*Create constraints if they do not exist yet*/
@@ -51,5 +51,5 @@
 		/*keep only this partition's nodes:*/
 		if((iomodel->my_vertices[i])){
-			if (!(int)iomodel->f(NodeOnHutterEnum)[i]){
+			if (!(int)iomodel->Data(NodeOnHutterEnum)[i]){
 
 				constraints->AddObject(new SpcStatic(iomodel->constraintcounter+count+1,iomodel->nodecounter+i+1,1,0,DiagnosticHutterAnalysisEnum));
@@ -60,11 +60,11 @@
 			}
 			else{
-				if (!isnan(iomodel->f(SpcvxEnum)[i])){
-					constraints->AddObject(new SpcStatic(iomodel->constraintcounter+count+1,iomodel->nodecounter+i+1,1,iomodel->f(SpcvxEnum)[i]/yts,DiagnosticHutterAnalysisEnum)); //add count'th spc, on node i+1, setting dof 1 to vx.
+				if (!isnan(iomodel->Data(SpcvxEnum)[i])){
+					constraints->AddObject(new SpcStatic(iomodel->constraintcounter+count+1,iomodel->nodecounter+i+1,1,iomodel->Data(SpcvxEnum)[i]/yts,DiagnosticHutterAnalysisEnum)); //add count'th spc, on node i+1, setting dof 1 to vx.
 					count++;
 				}
 
-				if (!isnan(iomodel->f(SpcvyEnum)[i])){
-					constraints->AddObject(new SpcStatic(iomodel->constraintcounter+count+1,iomodel->nodecounter+i+1,2,iomodel->f(SpcvyEnum)[i]/yts,DiagnosticHutterAnalysisEnum)); //add count'th spc, on node i+1, setting dof 2 to vy
+				if (!isnan(iomodel->Data(SpcvyEnum)[i])){
+					constraints->AddObject(new SpcStatic(iomodel->constraintcounter+count+1,iomodel->nodecounter+i+1,2,iomodel->Data(SpcvyEnum)[i]/yts,DiagnosticHutterAnalysisEnum)); //add count'th spc, on node i+1, setting dof 2 to vy
 					count++;
 				}
Index: issm/trunk/src/c/modules/ModelProcessorx/DiagnosticHutter/CreateNodesDiagnosticHutter.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/DiagnosticHutter/CreateNodesDiagnosticHutter.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/DiagnosticHutter/CreateNodesDiagnosticHutter.cpp	(revision 9405)
@@ -25,6 +25,6 @@
 
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&numberofvertices,NumberOfVerticesEnum);
-	iomodel->constants->FindParam(&ishutter,IshutterEnum);
+	iomodel->Constant(&numberofvertices,NumberOfVerticesEnum);
+	iomodel->Constant(&ishutter,IshutterEnum);
 
 	/*Recover pointer: */
Index: issm/trunk/src/c/modules/ModelProcessorx/DiagnosticHutter/UpdateElementsDiagnosticHutter.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/DiagnosticHutter/UpdateElementsDiagnosticHutter.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/DiagnosticHutter/UpdateElementsDiagnosticHutter.cpp	(revision 9405)
@@ -21,6 +21,6 @@
 	
 	/*Fetch data needed: */
-	iomodel->constants->FindParam(&numberofelements,NumberOfElementsEnum);
-	iomodel->constants->FindParam(&ishutter,IshutterEnum);
+	iomodel->Constant(&numberofelements,NumberOfElementsEnum);
+	iomodel->Constant(&ishutter,IshutterEnum);
 
 	/*Now, is the flag hutter on? otherwise, do nothing: */
Index: issm/trunk/src/c/modules/ModelProcessorx/DiagnosticVert/CreateConstraintsDiagnosticVert.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/DiagnosticVert/CreateConstraintsDiagnosticVert.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/DiagnosticVert/CreateConstraintsDiagnosticVert.cpp	(revision 9405)
@@ -24,7 +24,7 @@
 
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&dim,DimEnum);
-	iomodel->constants->FindParam(&yts,YtsEnum);
-	iomodel->constants->FindParam(&numberofvertices,NumberOfVerticesEnum);
+	iomodel->Constant(&dim,DimEnum);
+	iomodel->Constant(&yts,YtsEnum);
+	iomodel->Constant(&numberofvertices,NumberOfVerticesEnum);
 
 	/*Recover pointer: */
@@ -52,11 +52,11 @@
 		if(iomodel->my_vertices[i]){
 
-			if ((int)iomodel->f(NodeOnStokesEnum)[i]){
+			if ((int)iomodel->Data(NodeOnStokesEnum)[i]){
 				constraints->AddObject(new SpcStatic(iomodel->constraintcounter+count+1,iomodel->nodecounter+i+1,1,0,DiagnosticVertAnalysisEnum)); //spc to zero as vertical velocity is done in Horiz for Stokes
 				count++;
 			}
-			else if (!isnan(iomodel->f(SpcvzEnum)[i])){
+			else if (!isnan(iomodel->Data(SpcvzEnum)[i])){
 				constraints->AddObject(new SpcStatic(iomodel->constraintcounter+count+1,iomodel->nodecounter+i+1,1,
-								iomodel->f(SpcvzEnum)[i]/yts,DiagnosticVertAnalysisEnum)); //add count'th spc, on node i+1, setting dof 1 to vx.
+								iomodel->Data(SpcvzEnum)[i]/yts,DiagnosticVertAnalysisEnum)); //add count'th spc, on node i+1, setting dof 1 to vx.
 				count++;
 
Index: issm/trunk/src/c/modules/ModelProcessorx/DiagnosticVert/CreateNodesDiagnosticVert.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/DiagnosticVert/CreateNodesDiagnosticVert.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/DiagnosticVert/CreateNodesDiagnosticVert.cpp	(revision 9405)
@@ -25,6 +25,6 @@
 
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&dim,DimEnum);
-	iomodel->constants->FindParam(&numberofvertices,NumberOfVerticesEnum);
+	iomodel->Constant(&dim,DimEnum);
+	iomodel->Constant(&numberofvertices,NumberOfVerticesEnum);
 
 	/*Recover pointer: */
Index: issm/trunk/src/c/modules/ModelProcessorx/DiagnosticVert/UpdateElementsDiagnosticVert.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/DiagnosticVert/UpdateElementsDiagnosticVert.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/DiagnosticVert/UpdateElementsDiagnosticVert.cpp	(revision 9405)
@@ -20,6 +20,6 @@
 
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&dim,DimEnum);
-	iomodel->constants->FindParam(&numberofelements,NumberOfElementsEnum);
+	iomodel->Constant(&dim,DimEnum);
+	iomodel->Constant(&numberofelements,NumberOfElementsEnum);
 
 	/*Now, is the model 3d? otherwise, do nothing: */
Index: issm/trunk/src/c/modules/ModelProcessorx/ElementsAndVerticesPartitioning.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/ElementsAndVerticesPartitioning.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/ElementsAndVerticesPartitioning.cpp	(revision 9405)
@@ -48,11 +48,11 @@
 
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&dim,DimEnum);
-	iomodel->constants->FindParam(&numberofelements,NumberOfElementsEnum);
-	iomodel->constants->FindParam(&numberofvertices,NumberOfVerticesEnum);
-	iomodel->constants->FindParam(&numberofelements2d,NumberOfElements2DEnum);
-	iomodel->constants->FindParam(&numberofvertices2d,NumberOfNodes2DEnum);
-	iomodel->constants->FindParam(&numlayers,NumlayersEnum);
-	iomodel->constants->FindParam(&numrifts,NumriftsEnum);
+	iomodel->Constant(&dim,DimEnum);
+	iomodel->Constant(&numberofelements,NumberOfElementsEnum);
+	iomodel->Constant(&numberofvertices,NumberOfVerticesEnum);
+	iomodel->Constant(&numberofelements2d,NumberOfElements2DEnum);
+	iomodel->Constant(&numberofvertices2d,NumberOfNodes2DEnum);
+	iomodel->Constant(&numlayers,NumlayersEnum);
+	iomodel->Constant(&numrifts,NumriftsEnum);
 
 	/*First, check that partitioning has not yet been carryed out. Just check whether my_elements pointers is not already assigned a value: */
Index: issm/trunk/src/c/modules/ModelProcessorx/Enthalpy/CreateConstraintsEnthalpy.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/Enthalpy/CreateConstraintsEnthalpy.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/Enthalpy/CreateConstraintsEnthalpy.cpp	(revision 9405)
@@ -26,8 +26,8 @@
 
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&dim,DimEnum);
-	iomodel->constants->FindParam(&numberofvertices,NumberOfVerticesEnum);
-	iomodel->constants->FindParam(&heatcapacity,HeatcapacityEnum);
-	iomodel->constants->FindParam(&referencetemperature,ReferencetemperatureEnum);
+	iomodel->Constant(&dim,DimEnum);
+	iomodel->Constant(&numberofvertices,NumberOfVerticesEnum);
+	iomodel->Constant(&heatcapacity,HeatcapacityEnum);
+	iomodel->Constant(&referencetemperature,ReferencetemperatureEnum);
 
 	/*Recover pointer: */
Index: issm/trunk/src/c/modules/ModelProcessorx/Enthalpy/CreateNodesEnthalpy.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/Enthalpy/CreateNodesEnthalpy.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/Enthalpy/CreateNodesEnthalpy.cpp	(revision 9405)
@@ -24,5 +24,5 @@
 
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&numberofvertices,NumberOfVerticesEnum);
+	iomodel->Constant(&numberofvertices,NumberOfVerticesEnum);
 	
 	/*Recover pointer: */
Index: issm/trunk/src/c/modules/ModelProcessorx/Enthalpy/UpdateElementsEnthalpy.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/Enthalpy/UpdateElementsEnthalpy.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/Enthalpy/UpdateElementsEnthalpy.cpp	(revision 9405)
@@ -20,6 +20,6 @@
 
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&dim,DimEnum);
-	iomodel->constants->FindParam(&numberofelements,NumberOfElementsEnum);
+	iomodel->Constant(&dim,DimEnum);
+	iomodel->Constant(&numberofelements,NumberOfElementsEnum);
 
 	/*Now, is the model 3d? otherwise, do nothing: */
Index: issm/trunk/src/c/modules/ModelProcessorx/Hydrology/CreateNodesHydrology.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/Hydrology/CreateNodesHydrology.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/Hydrology/CreateNodesHydrology.cpp	(revision 9405)
@@ -24,5 +24,5 @@
 
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&numberofvertices,NumberOfVerticesEnum);
+	iomodel->Constant(&numberofvertices,NumberOfVerticesEnum);
 	
 	/*Recover pointer: */
Index: issm/trunk/src/c/modules/ModelProcessorx/Hydrology/UpdateElementsHydrology.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/Hydrology/UpdateElementsHydrology.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/Hydrology/UpdateElementsHydrology.cpp	(revision 9405)
@@ -19,5 +19,5 @@
 	
 	/*Fetch data needed: */
-	iomodel->constants->FindParam(&numberofelements,NumberOfElementsEnum);
+	iomodel->Constant(&numberofelements,NumberOfElementsEnum);
 	iomodel->FetchData(1,ElementsEnum);
 
Index: issm/trunk/src/c/modules/ModelProcessorx/Melting/CreateLoadsMelting.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/Melting/CreateLoadsMelting.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/Melting/CreateLoadsMelting.cpp	(revision 9405)
@@ -22,6 +22,6 @@
 
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&dim,DimEnum);
-	iomodel->constants->FindParam(&numberofvertices,NumberOfVerticesEnum);
+	iomodel->Constant(&dim,DimEnum);
+	iomodel->Constant(&numberofvertices,NumberOfVerticesEnum);
 
 	/*if 2d: Error*/
@@ -40,5 +40,5 @@
 	for (i=0;i<numberofvertices;i++){
 		if((iomodel->my_vertices[i]==1)){
-			if (iomodel->f(NodeOnBedEnum)[i]){ 
+			if (iomodel->Data(NodeOnBedEnum)[i]){ 
 				loads->AddObject(new Pengrid(iomodel->loadcounter+i+1,i,iomodel,MeltingAnalysisEnum));
 			}
Index: issm/trunk/src/c/modules/ModelProcessorx/Melting/CreateNodesMelting.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/Melting/CreateNodesMelting.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/Melting/CreateNodesMelting.cpp	(revision 9405)
@@ -24,5 +24,5 @@
 	
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&numberofvertices,NumberOfVerticesEnum);
+	iomodel->Constant(&numberofvertices,NumberOfVerticesEnum);
 
 	/*Recover pointer: */
Index: issm/trunk/src/c/modules/ModelProcessorx/Melting/UpdateElementsMelting.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/Melting/UpdateElementsMelting.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/Melting/UpdateElementsMelting.cpp	(revision 9405)
@@ -20,6 +20,6 @@
 
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&dim,DimEnum);
-	iomodel->constants->FindParam(&numberofelements,NumberOfElementsEnum);
+	iomodel->Constant(&dim,DimEnum);
+	iomodel->Constant(&numberofelements,NumberOfElementsEnum);
 
 	/*Now, is the model 3d? otherwise, do nothing: */
Index: issm/trunk/src/c/modules/ModelProcessorx/ModelProcessorx.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/ModelProcessorx.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/ModelProcessorx.cpp	(revision 9405)
@@ -37,6 +37,6 @@
 
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&dim,DimEnum);
-	iomodel->constants->FindParam(&verbose,VerboseEnum);
+	iomodel->Constant(&dim,DimEnum);
+	iomodel->Constant(&verbose,VerboseEnum);
 	
 	SetVerbosityLevel(verbose);
Index: issm/trunk/src/c/modules/ModelProcessorx/NodesPartitioning.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/NodesPartitioning.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/NodesPartitioning.cpp	(revision 9405)
@@ -42,5 +42,5 @@
 
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&numberofvertices,NumberOfVerticesEnum);
+	iomodel->Constant(&numberofvertices,NumberOfVerticesEnum);
 
 	my_nodes=(bool*)xmalloc(numberofvertices*sizeof(bool));
@@ -57,5 +57,5 @@
 
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&numberofelements,NumberOfElementsEnum);
+	iomodel->Constant(&numberofelements,NumberOfElementsEnum);
 
 	/*each element has it own nodes (as many as vertices) + additional nodes from neighbouring elements for each edge. This yields to a very different partition for 
@@ -78,5 +78,5 @@
 
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&dim,DimEnum);
+	iomodel->Constant(&dim,DimEnum);
 
 	/*Build discontinuous node partitioning
Index: issm/trunk/src/c/modules/ModelProcessorx/Prognostic/CreateConstraintsPrognostic.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/Prognostic/CreateConstraintsPrognostic.cpp	(revision 9403)
+++ issm/trunk/src/c/modules/ModelProcessorx/Prognostic/CreateConstraintsPrognostic.cpp	(revision 9405)
@@ -13,5 +13,5 @@
 	
 	/*Fetch parameters: */
-	iomodel->constants->FindParam(&prognostic_DG,PrognosticDGEnum);
+	iomodel->Constant(&prognostic_DG,PrognosticDGEnum);
 
 	/*Output*/
